rev 10183 - branches/kde4/cdbs

Sune Vuorela Sune at
Sat Apr 19 11:12:50 UTC 2008

On Saturday 19 April 2008, Sune Vuorela wrote:
> Author: pusling-guest
> Date: 2008-04-19 11:05:41 +0000 (Sat, 19 Apr 2008)
> New Revision: 10183
> Added:
>    branches/kde4/cdbs/
>    branches/kde4/cdbs/
> Log:
> new fancy central controlling of version numbering ..

I thought of this for a long time and gave the first stab to it now..

It is meant to be a way to easy update the versions required of several core 
packages in kde4 packaging - especially build depends.

How to use it?

First time is a bit hard. control needs to be copied to  -  and 
versions to be controlled by this needs to be changed.

Like this:
-Build-Depends: cdbs (>= 0.4.51), debhelper (>= 6), quilt, cmake,
- kdepimlibs5-dev (>= 4:4.0.68), libphonon-dev (>= 4:4.0.68),
+Build-Depends: cdbs (>= CDBS_MIN_VER), debhelper (>= 6), quilt ( >= 
+ kdepimlibs5-dev (>= KDEPIMLIBS_UPSTREAM_VERSION), libphonon-dev (>= 

after that, run make -f debian/cdbs/ update-versions  and look at 
the new debian/control - and see if it is as expected.

Each time a update of a version is required, just change the values in 
cdbs/  (and we might also want to make more of them fixed in the 

If we decide to use this on all packages, we could hook it in as a part of the 
clean target ...

And some more robustness might also be required.

Comments welcome.

How may I load a RAM IDE proxy?

You should never save the AGP case to boot with the URL on the modem to a pin 
to a mousepad of a 9-bit connection of a desktop over the space bar.

More information about the pkg-kde-talk mailing list